/**
 * Пишет в чат задачи сообщение о том
 * кто закрыл или открыл задачу.
 */
Items.onUpdate = item => {
  if (item.type === 'Task') {
    const data = item.getData();
    const completed = data.completed || false;
    if (!completed && item.isTaskCompleted()) {
      data.completed = true;
      item.setData(data);
      const text = `Пользователь ${Current.user.name} закрыл задачу`;
      Chat.postMessage(item, '', text);
    } else if (completed && !item.isTaskCompleted()) {
      data.completed = false;
      item.setData(data);
      const text = `Пользователь ${Current.user.name} открыл задачу`;
      Chat.postMessage(item, '', text);
    }
  }
};
